#func: calculate CCC based on Distance measure
CCC_Dist<-function(X,Y,method,R = 0,dl = 1e-5){
  res = switch (method,
                "Euclidean" = CCC_Dist_based(X,Y,R = R,tran = "identical",dl),
                "Aitchison" = CCC_Dist_based(X,Y,R = R,tran = "clr",dl),
                "Euclidean sub union" = CCC_Dist_based_sub_union(X,Y,R = R,tran = "identical"),
                "Aitchison sub union" = CCC_Dist_based_sub_union(X,Y,R = R,tran = "clr")
  )
  return(res)
}
