#function: Deal with zero issues through imputation method
impute.zero<-function(X,n,dl = 1e-5){
  if(sum(X == 0) == 0){
    X.transformed = X
  }
  else if(n == 1){
    #get transformed X
    X.transformed = zCompositions::multRepl(X,label = 0,dl = rep(dl,length(X)),delta = 1)
  }
  else{
    #get transformed X
    X.transformed = zCompositions::multRepl(X,label = 0,dl = rep(dl,ncol(X)),delta = 1)
  }
  return(X.transformed)
}
