\name{datScreen_Dist_union}
\alias{datScreen_Dist_union}
\title{
Processing Data for Sub Union Distance Based CCC
}
\description{
Process the paired measurements data by removing the union set of zeros for the two measurements and conduct the data transformation.
}
\usage{
datScreen_Dist_union(M,tran = "identical")
}
%- maybe also 'usage' for other objects documented here.
\arguments{
 \item{M}{ A vector, combining the first set of measurements and the second set of measurements.}
 \item{tran}{ Indicate the distance based method used. If tran = "identical", then the transformation for Euclidean distance based CCC is conducted; if tran = "clr", then the transformation for Aitchison distance based CCC is conducted.}
}
\keyword{Distance based CCC}
